%define upstream_name    Test-Pod-Content
%define upstream_version v0.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Test a Pod's content
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a very simple module for testing a Pod's content. It is mainly
intended for testing the content of generated Pod - that is, the Pod
included in perl modules generated by some mechanism.

Another usage example is to test whether all files contain the same
copyright notice:

 plan tests => scalar @filelist;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes HACKING META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.6-10.mga8
+ Revision: 1497477
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.6-9.mga7
+ Revision: 1271986
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.6-8.mga6
+ Revision: 1034510
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.6-7.mga6
+ Revision: 942791
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-6.mga5
+ Revision: 749259
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.0.6-5.mga5
+ Revision: 736014
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-4.mga5
+ Revision: 686515
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 515371
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.6-2.mga3
+ Revision: 373680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 kharec <kharec> 0.0.6-1.mga2
+ Revision: 166780
- update to v0.0.6

* Sun Jan 23 2011 jquelin <jquelin> 0.0.5-1.mga1
+ Revision: 34261
- mageia rebuild
- imported package perl-Test-Pod-Content

